Package org.eclipse.net4j.util.ui

# Klasse UIActivator

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.net4j.util.ui.UIActivator

Alle implementierten Schnittstellen:
  `org.osgi.framework.BundleActivator`

Bekannte direkte Unterklassen:
  `UIActivator.WithState`

public class UIActivator extends AbstractUIPlugin

Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Klasse
Beschreibung
`static class`
`UIActivator.WithState`

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`protected org.osgi.framework.BundleContext`
`bundleContext`

### Von Klasse geerbte Felder org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`UIActivator(OMBundle omBundle)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected void`
`doStart()`
`protected void`
`doStop()`
`IDialogSettings`
`getDialogSettings(Class<?> clazz)`
`IDialogSettings`
`getDialogSettings(String section)`
`Image`
`getImage(String path)`
`ImageDescriptor`
`getImageDescriptor(String path)`
`final OMBundle`
`getOMBundle()`
`ImageDescriptor`
`loadImageDescriptor(String path)`
`final void`
`start(org.osgi.framework.BundleContext context)`
`final void`
`stop(org.osgi.framework.BundleContext context)`

### Von Klasse geerbte Methoden org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Von Klasse geerbte Methoden org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Felddetails

### bundleContext

protected org.osgi.framework.BundleContext bundleContext

Seit:
  2.0

## Konstruktordetails

### UIActivator

public UIActivator(OMBundle omBundle)

## Methodendetails

### getOMBundle

public final OMBundle getOMBundle()

### getImage

public Image getImage(String path)

Seit:
  3.19

### getImageDescriptor

public ImageDescriptor getImageDescriptor(String path)

Seit:
  3.19

### loadImageDescriptor

public ImageDescriptor loadImageDescriptor(String path)

Seit:
  3.1

### getDialogSettings

public IDialogSettings getDialogSettings(Class<?> clazz)

Seit:
  3.4

### getDialogSettings

public IDialogSettings getDialogSettings(String section)

Seit:
  3.4

### start

public final void start(org.osgi.framework.BundleContext context) throws Exception

Angegeben von:
  `start` in Schnittstelle `org.osgi.framework.BundleActivator`
Setzt außer Kraft:
  `start` in Klasse `AbstractUIPlugin`
Löst aus:
  `Exception`

### stop

public final void stop(org.osgi.framework.BundleContext context) throws Exception

Angegeben von:
  `stop` in Schnittstelle `org.osgi.framework.BundleActivator`
Setzt außer Kraft:
  `stop` in Klasse `AbstractUIPlugin`
Löst aus:
  `Exception`

### doStart

protected void doStart() throws Exception

Löst aus:
  `Exception`
Seit:
  2.0

### doStop

protected void doStop() throws Exception

Löst aus:
  `Exception`
Seit:
  2.0